Upgrade to 10.7 does not recognize existing EM installation.

Document ID : KB000107051
Last Modified Date : 19/07/2018
Show Technical Document Details
Issue:
When performing an in-place upgrade from 10.5.2 to 10.7 you receive an error message saying: 
The specified folder <Your target installation folder> is not recommended. It  
already contains an Introscope install that is not eligible to be upgraded. If  
you choose to install to this folder, a fresh install will be performed. Any  
pre-existing files and settings in the folder will be overwritten. 
Environment:
 Any supported platform/operating system where APM 10.5.2 is installed and running, and where an upgrade to APM 10.7 is desired to be installed, that is supported by an APM 10.7 installation
Cause:
The file <em home>/UninstallerData/base/installvariables.properties may be corrupt or missing. As a default, the Enterprise Manager installer assumes that any detected previous installation is ineligible for upgrade. 
 
Resolution:
Workaround: Copying the file <em home>/UninstallerData/base/installvariables.properties from another Enterprise Manager will allow you to use the installer to perform the upgrade.